gda-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details.

Filtering data from .

To be added Gda.DataModelArray GLib.IWrapper System.IDisposable
- Method
  System.Void To be added To be added
- Method
  System.Void `` ``

  Adds a data model as a source of data for the Gda.Select object.

  a a

  When the select object is run via , it will parse the SQL and get the required data from the source data models.

- Method
  System.Boolean

  Runs the query and fills in the Gda.Select object with the rows that matched the SQL command (which can be set with ) associated with this Gda.Select object.

  a

  After calling this function, if everything is successful, the Gda.Select object will contain the matched rows, which can then be accessed like a normal .

- Constructor
  To be added
  a
  a
  To be added
- Constructor

  Creates a new Gda.Select object, which allows programs to filter 's based on a given SQL SELECT command.

  a

  A GdaSelect is just another GdaDataModel-based class, so it can be used in the same way any other data model class is.

- Property
  System.String Sets the SQL command to be used on the given Gda.Select object for filtering rows from the source data model. a To be added
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.